Package com.collibra.dgc.core.api.dto.instance.domain

# Class ChangeDomainRequest

Object
ChangeDomainRequest

All Implemented Interfaces:
  `Serializable`

public class ChangeDomainRequest extends Object implements Serializable
The properties of the domain to be changed.

Only properties that are specified in this request and have not `null` values are updated. All other properties are ignored.

See Also:
  - Serialized Form

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static final class`
  `ChangeDomainRequest.Builder`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ChangeDomainRequest()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static ChangeDomainRequest.Builder`
  `builder()`
  `protected boolean`
  `canEqual(Object other)`
  `boolean`
  `equals(Object o)`
  `UUID`
  `getCommunityId()`
  The ID of the new community for the domain.
  `String`
  `getDescription()`
  The new description for the domain.
  `Boolean`
  `getExcludedFromAutoHyperlinking()`
  Whether the domain should be excluded from hyperlinking or not.
  `UUID`
  `getId()`
  Required. The ID of the domain to be changed.
  `String`
  `getName()`
  The new name for the domain.
  `Boolean`
  `getRemoveScopeOverlapOnMove()`
  Whether scopes assigned to domain should be removed on move if there are any inherited scopes in new community.
  `UUID`
  `getTypeId()`
  The ID of the new domain type for the domain.
  `String`
  `getTypePublicId()`
  The public ID of the new domain type for the domain.
  `int`
  `hashCode()`
  `void`
  `setCommunityId(UUID communityId)`
  The ID of the new community for the domain.
  `void`
  `setDescription(String description)`
  The new description for the domain.
  `void`
  `setExcludedFromAutoHyperlinking(Boolean excludedFromAutoHyperlinking)`
  Whether the domain should be excluded from hyperlinking or not.
  `void`
  `setId(UUID id)`
  Required. The ID of the domain to be changed.
  `void`
  `setName(String name)`
  The new name for the domain.
  `void`
  `setRemoveScopeOverlapOnMove(Boolean removeScopeOverlapOnMove)`
  Whether scopes assigned to domain should be removed on move if there are any inherited scopes in new community.
  `void`
  `setTypeId(UUID typeId)`
  The ID of the new domain type for the domain.
  `void`
  `setTypePublicId(String typePublicId)`
  The public ID of the new domain type for the domain.
  `String`
  `toString()`

  ### Methods inherited from class Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### ChangeDomainRequest

    public ChangeDomainRequest()

- ## Method Details

  - ### builder

    public static ChangeDomainRequest.Builder builder()

  - ### getId

    public UUID getId()
    Required. The ID of the domain to be changed. Silently ignored if the ID is provided as path parameter of the request.

  - ### getName

    public String getName()
    The new name for the domain.

  - ### getCommunityId

    public UUID getCommunityId()
    The ID of the new community for the domain.

  - ### getTypeId

    public UUID getTypeId()
    The ID of the new domain type for the domain.

  - ### getDescription

    public String getDescription()
    The new description for the domain.

  - ### getExcludedFromAutoHyperlinking

    public Boolean getExcludedFromAutoHyperlinking()
    Whether the domain should be excluded from hyperlinking or not.

  - ### getRemoveScopeOverlapOnMove

    public Boolean getRemoveScopeOverlapOnMove()
    Whether scopes assigned to domain should be removed on move if there are any inherited scopes in new community.

  - ### getTypePublicId

    public String getTypePublicId()
    The public ID of the new domain type for the domain.

  - ### setId

    public void setId(UUID id)
    Required. The ID of the domain to be changed. Silently ignored if the ID is provided as path parameter of the request.

  - ### setName

    public void setName(String name)
    The new name for the domain.

  - ### setCommunityId

    public void setCommunityId(UUID communityId)
    The ID of the new community for the domain.

  - ### setTypeId

    public void setTypeId(UUID typeId)
    The ID of the new domain type for the domain.

  - ### setDescription

    public void setDescription(String description)
    The new description for the domain.

  - ### setExcludedFromAutoHyperlinking

    public void setExcludedFromAutoHyperlinking(Boolean excludedFromAutoHyperlinking)
    Whether the domain should be excluded from hyperlinking or not.

  - ### setRemoveScopeOverlapOnMove

    public void setRemoveScopeOverlapOnMove(Boolean removeScopeOverlapOnMove)
    Whether scopes assigned to domain should be removed on move if there are any inherited scopes in new community.

  - ### setTypePublicId

    public void setTypePublicId(String typePublicId)
    The public ID of the new domain type for the domain.

  - ### equals

    public boolean equals(Object o)
    Overrides:
      `equals` in class `Object`

  - ### canEqual

    protected boolean canEqual(Object other)

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`